#!/usr/bin/env groovy //Jenkinsfile DSL (Declarative Syntax)

pipeline {

	agent any

	stages {
	
		stage('Get Commit Message') {
			steps {
				script {
					env.GIT_COMMIT_MSG = sh (script: 'git log -1 --pretty=%B ${GIT_COMMIT}', returnStdout: true).trim()
				}
			}
		}
		
		stage('Prepare Delivery') {
			when {
				environment name: 'GIT_COMMIT_MSG', value: 'deliver'
			}
			steps {
				sh "bash deliver-pre ${env.BRANCH_NAME}"
			}
		}
	
		stage('Deploy') {
			steps {
				sh 'mvn deploy'
			}
		}
		
		stage('Post Delivery') {
			when {
				environment name: 'GIT_COMMIT_MSG', value: 'deliver'
			}
			steps {
				sh "bash deliver-post ${env.BRANCH_NAME}"
			}
		}
	}
}
